package com.simple.ws;

import java.util.logging.Logger;

import javax.ejb.Stateless;
import javax.interceptor.Interceptors;
import javax.jws.WebMethod;
import javax.jws.WebService;

import com.simple.ws.interceptor.SimpleInterceptor;

@Stateless
@WebService
@Interceptors(SimpleInterceptor.class)
public class SimpleWebService {
	private Logger logger = Logger.getLogger(getClass().getName());

	/**
	 * @return
	 */
	@WebMethod
	@Interceptors(SimpleInterceptor.class)
	public String doSomething() {
		logger.severe("Inside of doSomething WebService method");

		return "Hello from SimpleWebService";
	}
}
