package com.simple.ws.interceptor;

import java.util.logging.Logger;

public class SimpleInterceptor {

	private Logger logger = Logger.getLogger(getClass().getName());
	
	/**
	 * Intercepts the calls
	 * @param ic
	 */
	@javax.interceptor.AroundInvoke
	public Object intercept(javax.interceptor.InvocationContext ic) {
		Object o = ic.getTarget();
		logger.severe("Inside of intercept method");
		return o;
	}
}
